<?php
/**
 * $Id: controller.php 63 2014-07-24 12:55:07Z Szablac $
 * @Project		Saxum Numerology Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Numerology
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class SaxumnumerologyController extends JControllerLegacy
{
	function display($cachable = false, $urlparams = false)
	{
		// set default view if not set
		JRequest::setVar('view', JRequest::getCmd('view', 'Saxumnumerology'));
		// call parent behavior
		parent::display($cachable);
	}
	
	static function quickIconButton( $link, $image, $text ) {
		
		$lang	= JFactory::getLanguage();
		$button = '';
		/*if ($lang->isRTL()) {
			$button .= '<div style="float:right;">';
		} else {
			$button .= '<div style="float:left;">';
		}*/
		$button .=	'<div class="thumbnails sax-icon">'
				   .'<a class="thumbnail sax-icon-inside" href="'.$link.'">'
				   .JHtml::_('image',  'administrator/components/com_saxumnumerology/images/'.$image, $text )
				   .'<br /><span>'.$text.'</span></a>'
				   .'</div>';
		//$button .= '</div>';

		return $button;
	}
		
	public static function addSubmenu($submenu) 
	{
		//$canDo = SaxumnumerologyController::getActions();
		JHtmlSidebar::addEntry(JText::_('COM_SAXUMNUMEROLOGY_CONTROL_PANEL'), 'index.php?option=com_saxumnumerology', $submenu == 'controlpanel');
		JHtmlSidebar::addEntry(JText::_('COM_SAXUMNUMEROLOGY_TYPES'), 'index.php?option=com_saxumnumerology&view=types', $submenu == 'types');
		JHtmlSidebar::addEntry(JText::_('COM_SAXUMNUMEROLOGY_FIELDS'), 'index.php?option=com_saxumnumerology&view=fields', $submenu == 'fields');
		JHtmlSidebar::addEntry(JText::_('COM_SAXUMNUMEROLOGY_SETS'), 'index.php?option=com_saxumnumerology&view=sets', $submenu == 'sets');
		JHtmlSidebar::addEntry(JText::_('COM_SAXUMNUMEROLOGY_EVALUATIONS'), 'index.php?option=com_saxumnumerology&view=evaluations', $submenu == 'evaluations');
		JHtmlSidebar::addEntry(JText::_('COM_SAXUMNUMEROLOGY_MANAGER'), 'index.php?option=com_saxumnumerology&view=manages', $submenu == 'manages');
		JHtmlSidebar::addEntry(JText::_('COM_SAXUMNUMEROLOGY_SAVED_RESULTS'), 'index.php?option=com_saxumnumerology&view=results', $submenu == 'results');
		JHtmlSidebar::addEntry(JText::_('COM_SAXUMNUMEROLOGY_ABOUT'), 'index.php?option=com_saxumnumerology&view=about', $submenu == 'about');
	}
	
	/**
	 * Get the actions
	 */
	public static function getActions()
	{	
		jimport('joomla.access.access');
		$user	= JFactory::getUser();
		$result	= new JObject;
 
		$assetName = 'com_saxumnumerology';
 
		$actions = JAccess::getActions('com_saxumnumerology', 'component');
 
		foreach ($actions as $action) {
			$result->set($action->name, $user->authorise($action->name, $assetName));
		}
 
		return $result;
	}		
	
	function sendmail()
	{
	    JRequest::checkToken() or jexit( 'Invalid Token' );
		$app	= JFactory::getApplication();	
		$user	= JFactory::getUser();
		$mailer = JFactory::getMailer();
		$rawDataPost = JRequest::get('POST', 2);
		$rawDataGet = JRequest::get('GET', 2);
		$post = array_merge($rawDataGet, $rawDataPost);
		
		$config = JFactory::getConfig();
	    $sender_name =  $config->get( 'fromname' );
	    $sender = array(
		    $config->get( 'mailfrom' ),
		    $sender_name );
		 
		$mailer->setSender($sender);
		
	    $recipient = $post['email'];
	    $mailer->addRecipient($recipient);
	    
	    $body = JRequest::getVar( 'body', '', 'post', 'string', JREQUEST_ALLOWRAW);
	 	$body = base64_decode($body);
	
	 	jimport( 'joomla.mail.helper' );

	    $subject = $sender_name;
	
	    $subject = JMailHelper::cleanSubject($subject);
	    $body = JMailHelper::cleanBody($body);
	
		$mailer->isHTML(true);
		$mailer->Encoding = 'base64';
	    $mailer->setSubject($subject);
		$mailer->setBody($body);
		
		$send = $mailer->Send();
		if ( $send !== true ) {
	        JError::raiseNotice( 500, JText::_('COM_SAXUMNUMEROLOGY_EMAIL_FAILED') );
	    }
	    else {
	    	JError::raiseNotice( 500, JText::_('COM_SAXUMNUMEROLOGY_EMAIL_SENT') );
	    }
		
	    $this->display();
	}	
	
}
?>
