<?php
/**
 * $Id: manage.php 63 2014-07-24 12:55:07Z Szablac $
 * @Project		Saxum Numerology Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Numerology
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport('joomla.application.component.modeladmin');

class SaxumnumerologyModelManage extends JModelAdmin
{
	public function getTable($type = 'Manage', $prefix = 'SaxumnumerologyTable', $config = array()) 
	{
		return JTable::getInstance($type, $prefix, $config);
	}

	public function getForm($data = array(), $loadData = true) 
	{
		// Get the form.
		$form = $this->loadForm('com_saxumnumerology.manage', 'manage',
		                        array('control' => 'jform', 'load_data' => $loadData));
		if (empty($form)) 
		{
			return false;
		}
		return $form;
	}  	
	
	public function getFormSelectType($data = array(), $loadData = true) 
	{
		// Get the form.
		$form = $this->loadForm('com_saxumnumerology.manage', 'selecttype',
		                        array('control' => 'jform', 'load_data' => $loadData));
		if (empty($form)) 
		{
			return false;
		}
		return $form;
	}  

	protected function loadFormData()
	{
		// Check the session for previously entered form data.
		$data = JFactory::getApplication()->getUserState('com_saxumnumerology.edit.manage.data', array());
		if (empty($data)) 
		{
			$post=JRequest::get( 'post' );
			$data = $this->getItem();	
			$isNew = ($data->id == 0);
			if ($isNew) $data->type_id= empty($post) ? 0 : $post['jform']['type_id'];
		}
		return $data;
	}

	public static function getType($id)
	{
		// Create a new query object.
		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);

		$query->select('t.*');
		$query->from('#__saxumnumerology_type AS t');
		$query->where('t.id = '.(int) $id);

		$db->setQuery($query);
		$result = $db->loadObjectList();

		return $result;
	}

	protected function getReorderConditions($table)
	{
		$condition = array();
		$condition[] = 'type_id = '. (int) $table->type_id;
		$condition[] = 'published >= 0';
		return $condition;
	}
	
	static function getFields($typeid,$manageid)
    {
		// Create a new query object.
		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);

		$query->select('f.id as id, f.name');
		$query->from('#__saxumnumerology_field AS f');
		
		$query->join('inner','#__saxumnumerology_type_field t ON f.id=t.field_id AND t.type_id = '. (int)$typeid);
		
		$query->join('left','#__saxumnumerology_manage m ON m.type_id=t.type_id AND m.id = '. (int)$manageid);
		
		$query->select('sign(ifnull(mf.field_id,0)) as checked');
		$query->join('left','#__saxumnumerology_manage_field mf ON m.id=mf.manage_id AND t.field_id = mf.field_id');
		
		$db->setQuery($query);
		$result = $db->loadObjectList();

		return $result;
    }	

    function setFields($manageid)
	{		
		$db		= JFactory::getDbo();
		$rm = JRequest::getVar( 'cid', array(0), 'post', 'array' );
		
		if (count( $rm ))
		{
			JArrayHelper::toInteger($rm);

			if (!$this->deleteFields($manageid)) {
				$this->setError($db->getErrorMsg());
				return false;
			}

			foreach($rm as $rms) {
				$query	= $db->getQuery(true);
				
				$query = 'INSERT INTO #__saxumnumerology_manage_field'
				. ' VALUES ( '.$manageid.','.$rms.')'
				;
			
				$db->setQuery( $query );
	
				if (!$db->query()) {
					$this->setError($db->getErrorMsg());
					return false;
				}
			}					
		}
		return true;
	}	
       
	function deleteFields($manageid)
    {
		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);
		
		$query = 'DELETE FROM #__saxumnumerology_manage_field'
			. ' WHERE manage_id = '.$manageid
		;

        $db->setQuery($query);
  		if (!$db->query()) {
			$this->setError($db->getErrorMsg());
			return false;
		}
		return true;
    }
	
	public function save($data)
	{
		JModelAdmin::save($data);
		$manageid=$this->getState('manage.id');
		$this->setFields($manageid);
		return true;
		
	}
}
?>
