<?php
/**
 * $Id: type.php 63 2014-07-24 12:55:07Z Szablac $
 * @Project		Saxum Numerology Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Numerology
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport('joomla.application.component.modeladmin');

class SaxumnumerologyModelType extends JModelAdmin
{
	public function getTable($type = 'Type', $prefix = 'SaxumnumerologyTable', $config = array()) 
	{
		return JTable::getInstance($type, $prefix, $config);
	}

	public function getForm($data = array(), $loadData = true) 
	{
		// Get the form.
		$form = $this->loadForm('com_saxumnumerology.type', 'type',
		                        array('control' => 'jform', 'load_data' => $loadData));
		if (empty($form)) 
		{
			return false;
		}
		return $form;
	}   
	
	public function getItem($pk = null)
	{
		if ($item = parent::getItem($pk))
		{
			// Convert the metadata field to an array.
			$registry = new JRegistry;
			$registry->loadString($item->formparams);
			$item->formparams = $registry->toArray();
		}

		return $item;
	}

	protected function loadFormData()
	{
		// Check the session for previously entered form data.
		$data = JFactory::getApplication()->getUserState('com_saxumnumerology.edit.type.data', array());
		if (empty($data)) 
		{
			$data = $this->getItem();
		}
		return $data;
	}
	
	static function getFields($typeid)
    {
		// Create a new query object.
		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);

		$query->select('f.id as id, f.name');
		$query->from('#__saxumnumerology_field AS f');
		
		$query->select('sign(ifnull(t.type_id,0)) as checked');
		$query->join('left','#__saxumnumerology_type_field t ON f.id=t.field_id AND t.type_id = '. (int)$typeid);
		
		$db->setQuery($query);
		$result = $db->loadObjectList();

		return $result;
    }	
       
	function deleteFields($typeid)
    {
		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);
		
		$query = 'DELETE FROM #__saxumnumerology_type_field'
			. ' WHERE type_id = '.$typeid
		;

        $db->setQuery($query);
  		if (!$db->query()) {
			$this->setError($db->getErrorMsg());
			return false;
		}
		return true;
    }

    function setFields($typeid)
	{		
		$db		= JFactory::getDbo();
		$rm = JRequest::getVar( 'cid', array(0), 'post', 'array' );
		
		if (count( $rm ))
		{
			JArrayHelper::toInteger($rm);

			if (!$this->deleteFields($typeid)) {
				$this->setError($db->getErrorMsg());
				return false;
			}

			foreach($rm as $rms) {
				$query	= $db->getQuery(true);
				
				$query = 'INSERT INTO #__saxumnumerology_type_field'
				. ' VALUES ( '.$typeid.','.$rms.')'
				;
			
				$db->setQuery( $query );
	
				if (!$db->query()) {
					$this->setError($db->getErrorMsg());
					return false;
				}
			}					
		}
		return true;
	}
		
	public function save($data)
	{
		JModelAdmin::save($data);
		$typeid=$this->getState('type.id');
		$this->setFields($typeid);
		return true;
	}

	function delete(&$pks)
	{
		$cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );

		$row =& $this->getTable();

		if (count( $cids ))
		{
			foreach($cids as $cid) {
				if (!$row->delete( $cid )) {
					$this->setError( $row->getErrorMsg() );
					return false;
				} else {
					if (!$this->deleteFields($cid)) {
						$this->setError($this->_db->getErrorMsg());
						return false;
					}
				}
			}						
		}				
				
		return true;
	}
}
?>
