CREATE TABLE IF NOT EXISTS `#__saxumnumerology_type` (
     `id` int(11) NOT NULL auto_increment,
     `name` varchar(100) character set utf8 NOT NULL,
     `desc` text character set utf8 NOT NULL,  
     `published` tinyint(1) NOT NULL,    
     `hits` int(10) NOT NULL DEFAULT 0,
	 `pmtype` varchar(30) character set utf8 NOT NULL DEFAULT 'free',
	 `amount` decimal(8,2) NOT NULL DEFAULT 0,
	 `currency` varchar(3) character set utf8 NOT NULL DEFAULT 'EUR',
	 `tax` decimal(8,2) NOT NULL DEFAULT 0,
	 `act_paid` TINYINT NOT NULL DEFAULT 0,
	 `admin_email` varchar(100) character set utf8, 
     `formparams` text character set utf8 NOT NULL DEFAULT '', 
     PRIMARY KEY (`id`)
     ) ENGINE=MyISAM AUTO_INCREMENT=1 ;
     
CREATE TABLE IF NOT EXISTS `#__saxumnumerology_field` (
     `id` int(11) NOT NULL auto_increment,
     `name` varchar(100) character set utf8 NOT NULL,
     PRIMARY KEY (`id`)
     ) ENGINE=MyISAM AUTO_INCREMENT=1 ;
     
INSERT IGNORE INTO `#__saxumnumerology_field` VALUES
(1, 'COM_SAXUMNUMEROLOGY_NAME'),
(2, 'COM_SAXUMNUMEROLOGY_YOB'),
(3, 'COM_SAXUMNUMEROLOGY_MOB'),
(4, 'COM_SAXUMNUMEROLOGY_DOB'),
(5, 'COM_SAXUMNUMEROLOGY_CURRYR'),
(6, 'COM_SAXUMNUMEROLOGY_NEXTYR'),
(7, 'COM_SAXUMNUMEROLOGY_PREVYR');
     
CREATE TABLE IF NOT EXISTS `#__saxumnumerology_type_field` (
     `type_id` int(11) NOT NULL,
     `field_id` tinyint(1) NOT NULL,    
     PRIMARY KEY (`type_id`,`field_id`)
     ) ENGINE=MyISAM;
     
CREATE TABLE IF NOT EXISTS `#__saxumnumerology_set` (
     `id` int(11) NOT NULL auto_increment,
     `name` varchar(100) character set utf8 NOT NULL,
     `desc` text character set utf8 NOT NULL,  
     `case_sens` tinyint(1) NOT NULL,    
     `accent_sens` tinyint(1) NOT NULL,    
     `published` tinyint(1) NOT NULL,    
     PRIMARY KEY (`id`)
     ) ENGINE=MyISAM AUTO_INCREMENT=1 ;

INSERT IGNORE INTO `#__saxumnumerology_set` VALUES
(1, 'Numbers', '', 0, 0, 1),
(2, 'Letters', '', 0, 0, 1),
(3, 'Consonants', '', 0, 0, 1),
(4, 'Vowels', '', 0, 0, 1);

CREATE TABLE IF NOT EXISTS `#__saxumnumerology_item` (
     `id` int(11) NOT NULL auto_increment,
     `set_id` int(11) NOT NULL,
     `name` varbinary(2) NOT NULL,
     `value` int(11) NOT NULL,
     PRIMARY KEY (`id`),
     UNIQUE KEY (`set_id`,`name`)
     ) ENGINE=MyISAM AUTO_INCREMENT=1 ;
     
INSERT IGNORE INTO `#__saxumnumerology_item` VALUES
(1,1,'1',1),
(2,1,'2',2),
(3,1,'3',3),
(4,1,'4',4),
(5,1,'5',5),
(6,1,'6',6),
(7,1,'7',7),
(8,1,'8',8),
(9,1,'9',9),
(10,1,'0',0),
(11,2,'A',1),
(12,2,'B',2),
(13,2,'C',3),
(14,2,'D',4),
(15,2,'E',5),
(16,2,'F',6),
(17,2,'G',7),
(18,2,'H',8),
(19,2,'I',9),
(20,2,'J',1),
(21,2,'K',2),
(22,2,'L',3),
(23,2,'M',4),
(24,2,'N',5),
(25,2,'O',6),
(26,2,'P',7),
(27,2,'Q',8),
(28,2,'R',9),
(29,2,'S',1),
(30,2,'T',2),
(31,2,'U',3),
(32,2,'V',4),
(33,2,'W',5),
(34,2,'X',6),
(35,2,'Y',7),
(36,2,'Z',8),
(37,4,'A',1),
(38,3,'B',2),
(39,3,'C',3),
(40,3,'D',4),
(41,4,'E',5),
(42,3,'F',6),
(43,3,'G',7),
(44,3,'H',8),
(45,4,'I',9),
(46,3,'J',1),
(47,3,'K',2),
(48,3,'L',3),
(49,3,'M',4),
(50,3,'N',5),
(51,4,'O',6),
(52,3,'P',7),
(53,3,'Q',8),
(54,3,'R',9),
(55,3,'S',1),
(56,3,'T',2),
(57,4,'U',3),
(58,3,'V',4),
(59,3,'W',5),
(60,3,'X',6),
(61,3,'Y',7),
(62,3,'Z',8);

CREATE TABLE IF NOT EXISTS `#__saxumnumerology_evaluation` (
     `id` int(11) NOT NULL auto_increment,
     `name` varchar(100) character set utf8 NOT NULL,
     `desc` text character set utf8 NOT NULL,  
     `exception` varchar(100) character set utf8 NULL,
     `published` tinyint(1) NOT NULL,    
     PRIMARY KEY (`id`)
     ) ENGINE=MyISAM AUTO_INCREMENT=1 ;
     
CREATE TABLE IF NOT EXISTS `#__saxumnumerology_evdetail` (
     `id` int(11) NOT NULL auto_increment,
     `master_id` int(11) NOT NULL,
     `value` int(11) NOT NULL,
     `desc` text character set utf8 NOT NULL,  
     PRIMARY KEY (`id`),
     UNIQUE KEY (`master_id`,`value`)
     ) ENGINE=MyISAM AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `#__saxumnumerology_manage` (
     `id` int(11) NOT NULL auto_increment,
     `type_id` int(11) NOT NULL,
     `name` varchar(100) character set utf8 NOT NULL,
     `set_id` int(11) NOT NULL,
     `eval_id` int(11) NOT NULL, 
     `ordering` int(11) NOT NULL default '0', 
     `published` tinyint(1) NOT NULL,    
     PRIMARY KEY (`id`)
     ) ENGINE=MyISAM AUTO_INCREMENT=1 ;
     
CREATE TABLE IF NOT EXISTS `#__saxumnumerology_manage_field` (
     `manage_id` int(11) NOT NULL,
     `field_id` tinyint(1) NOT NULL,    
     PRIMARY KEY (`manage_id`,`field_id`)
     ) ENGINE=MyISAM;
     
INSERT IGNORE INTO `#__saxumnumerology_type`(`id`, `name`, `desc`, `published`) VALUES
(1, 'Numerology','Introduction',1);

INSERT IGNORE INTO `#__saxumnumerology_type_field` VALUES
(1,1),
(1,2),
(1,3),
(1,4);

INSERT IGNORE INTO `#__saxumnumerology_evaluation` VALUES
(1, 'Personal number','','11,22',1),
(2, 'Soul''s urge','','11,22',1),
(3, 'Name number','','11,22',1),
(4, 'Destiny','','11,22',1);

INSERT IGNORE INTO `#__saxumnumerology_manage` VALUES
(1,1,'Personality number',3,1,1,1),
(2,1,'Soul''s urge',4,2,2,1),
(3,1,'Name number',2,3,3,1),
(4,1,'Destiny',1,4,4,1);

INSERT IGNORE INTO `#__saxumnumerology_manage_field` VALUES
(1,1),
(2,1),
(3,1),
(4,2),
(4,3),
(4,4);

CREATE TABLE IF NOT EXISTS `#__saxumnumerology_saved_results` (
     `id` int(11) NOT NULL auto_increment,
     `userid` int(11) NOT NULL,
     `tstamp` datetime NOT NULL,
     `title` varchar(200) character set utf8 NOT NULL, 
     `typeid` int(11) NOT NULL DEFAULT 0,
     `reading` mediumtext character set utf8, 
     `paymentid` varchar(30) character set utf8 NOT NULL DEFAULT '',
     `pmtype` varchar(30) character set utf8 NOT NULL DEFAULT 'free', 
     `add_info` text character set utf8, 
     `publicid` varchar(30) character set utf8 NOT NULL DEFAULT '',
     PRIMARY KEY (`id`),
	 INDEX idx_snsr_user( `userid` ),
	 INDEX idx_snsr_pmid( `paymentid` ),
	 INDEX idx_snsr_pcid(`publicid`)
     ) ENGINE=MyISAM AUTO_INCREMENT=1 ;