<?php
/**
 * $Id: item.php 63 2014-07-24 12:55:07Z Szablac $
 * @Project		Saxum Numerology Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Numerology
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

class SaxumnumerologyTableItem extends JTable
{
	var $id = 0;
	var $set_id = 0;
	var $name=''; 
	var $value = 0;
	 
	function __construct(&$db)
 	{
    	parent::__construct( '#__saxumnumerology_item', 'id', $db );
    }
    /**
     * Validation and filtering
     *
     * @return boolean True is satisfactory
     */
    function check()
    {	
    	$mainframe=&JFactory::getApplication();
    	
    	$set = $this->getSet($this->set_id);
		
		if ($set[0]->accent_sens==0) $this->name=$this->replace_accents($this->name);
		if ($set[0]->case_sens==0) $this->name=mb_strtoupper($this->name, 'UTF-8');
    	
       // check for existing value for this master
        $query = 'SELECT id'
        . ' FROM #__saxumnumerology_item '
        . ' WHERE set_id = ' . $this->_db->Quote($this->set_id)
        . ' AND name like binary '. $this->_db->Quote($this->name);
        ;
        $this->_db->setQuery( $query );
        $xid = intval( $this->_db->loadResult() );
        if ($xid && $xid != intval( $this->id )) {
            $mainframe->enqueueMessage(JText::_('COM_SAXUMNUMEROLOGY_ALREADY_RECORDED').': '.$this->name, 'error');
            return false;
        }
 
        return true;
    }
	
	function getSet($id)
    {
    	// Create a new query object.
		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);
					
		$query->select('id AS value, name AS text, case_sens, accent_sens');
		$query->from('#__saxumnumerology_set');
		$query->where('id='.(int)$id);
				
		$db->setQuery($query);
		$result = $db->loadObjectList();

		return $result;
    }
	
    function replace_accents($str)
    {
		$str = htmlentities($str, ENT_COMPAT, "UTF-8");
		$str = preg_replace('/&([a-zA-Z])(uml|acute|grave|circ|tilde);/','$1',$str);
		return html_entity_decode($str);
	}
}
