<?php
/**
 * $Id: manage.php 63 2014-07-24 12:55:07Z Szablac $
 * @Project		Saxum Numerology Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Numerology
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

class SaxumnumerologyTableManage extends JTable
{
	var $id = 0;
	var $type_id = 0;
	var $name = '';
	var $set_id = 0;
	var $eval_id = 0 ;
	var $ordering = 0 ;
	var $published = 0 ;
	 
	function __construct(&$db)
 	{
    	parent::__construct( '#__saxumnumerology_manage', 'id', $db );
    }

	function check()
	{
		jimport('joomla.filter.output');

		// Set name
		$this->name = htmlspecialchars_decode($this->name, ENT_QUOTES);

		// Set ordering
		if ($this->published < 0) {
			// Set ordering to 0 if state is archived or trashed
			$this->ordering = 0;
		} else if (empty($this->ordering)) {
			// Set ordering to last if ordering was 0
			$this->ordering = self::getNextOrder('`type_id`=' . $this->_db->Quote($this->type_id).' AND published>=0');
		}

		return true;
	}

	function store($updateNulls = false)
	{
		if (empty($this->id))
		{
			// Store the row
			parent::store($updateNulls);
		}
		else
		{
			// Get the old row
			$oldrow = JTable::getInstance('Manage', 'SaxumnumerologyTable');
			if (!$oldrow->load($this->id) && $oldrow->getError())
			{
				$this->setError($oldrow->getError());
			}
			
			// Store the new row
			parent::store($updateNulls);

			// Need to reorder ?
			if ($oldrow->published>=0 && ($this->published < 0 || $oldrow->type_id != $this->type_id))
			{
				// Reorder the oldrow
				$this->reorder('`type_id`=' . $this->_db->Quote($oldrow->type_id).' AND published>=0');
			}
		}
		return count($this->getErrors())==0;
	}
}
