<?php
/**
 * $Id: view.html.php 63 2014-07-24 12:55:07Z Szablac $
 * @Project		Saxum Numerology Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Numerology
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class SaxumnumerologyViewEvaluation extends JViewLegacy
{

	public function display($tpl = null) 
	{
		// get the Data
		$this->form		= $this->get('Form');
		$this->item		= $this->get('Item');
		$this->state	= $this->get('State');
		
		$this->details	= SaxumnumerologyModelEvaluation::getDetails($this->item->id);
 
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
		    
		if ($this->item->id>0) {				
			for ($i=1;$i<=9;$i++){
				$values[]=$i;
			}
			$exception=array();
			if ($this->item->exception!=null && $this->item->exception!='') $exception=explode(',', $this->item->exception);
			if (!empty($exception)){
				foreach( $exception as $i ) {
					$values[] = $i;
				}
			}
			
			$values2=array();
			foreach( $this->details as $i ) {
				$values2[] = $i->value;
			}
			$diff=array_diff($values, $values2);
	       	if(!empty($diff)) JError::raiseNotice(500, JText::_('COM_SAXUMNUMEROLOGY_MISSING_VALUES').': '.implode(',', $diff));
		}
		
		// Set the toolbar
		$this->addToolBar();
 
		// Display the template
		parent::display($tpl);
	}
	
	/**
	 * Setting the toolbar
	 */
	protected function addToolBar() 
	{
		JFactory::getApplication()->input->set('hidemainmenu', true);
		$user = JFactory::getUser();
		$isNew = ($this->item->id == 0);
		$canDo = SaxumnumerologyController::getActions();
		JHTML::stylesheet( 'administrator/components/com_saxumnumerology/saxumnumerology.css' );
		JToolBarHelper::title($isNew ? JText::_( 'COM_SAXUMNUMEROLOGY' ).' - '.JText::_('COM_SAXUMNUMEROLOGY_EVALUATION_NEW') : JText::_( 'COM_SAXUMNUMEROLOGY' ).' - '.JText::_('COM_SAXUMNUMEROLOGY_EVALUATION_EDIT'), 'evaluation.png');
		
		if ($canDo->get('core.create')) 
		{
			JToolBarHelper::addNew('evdetail.add','COM_SAXUMNUMEROLOGY_EVDETAIL_NEW');
		}
		if ($canDo->get('core.edit')) 
		{
			JToolBarHelper::editList('evdetail.edit','COM_SAXUMNUMEROLOGY_EVDETAIL_EDIT');
		}
		if ($canDo->get('core.delete')) 
		{
			JToolBarHelper::deleteList('', 'evdetail.delete','COM_SAXUMNUMEROLOGY_EVDETAILS_DELETE');
		}
		JToolBarHelper::divider();
		
		if ($isNew && $canDo->get('core.create')) 
		{
			JToolBarHelper::apply('evaluation.apply');
			JToolBarHelper::save('evaluation.save');
			JToolBarHelper::custom('evaluation.save2new', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
		}
		else
		{
			if($canDo->get('core.edit'))	
			{
				JToolBarHelper::apply('evaluation.apply');
				JToolBarHelper::save('evaluation.save');
			}
			if($canDo->get('core.create'))	
			{
				JToolBarHelper::custom('evaluation.save2new', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
				JToolBarHelper::custom('evaluation.save2copy', 'save-copy.png', 'save-copy_f2.png', 'JTOOLBAR_SAVE_AS_COPY', false);
			}
		}
		JToolBarHelper::cancel('evaluation.cancel', $isNew ? 'JTOOLBAR_CANCEL'
		                                                   : 'JTOOLBAR_CLOSE');
	}
}
?>

