<?php
/**
 * $Id: view.html.php 63 2014-07-24 12:55:07Z Szablac $
 * @Project		Saxum Numerology Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Numerology
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class SaxumnumerologyViewFields extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;
	
	function display($tpl = null) 
	{
		$this->items		= $this->get('Items');
		$this->pagination	= $this->get('Pagination');
		$this->state		= $this->get('State');
		SaxumnumerologyController::addSubmenu('fields');
 
        $this->sortDirection = $this->state->get('list.direction');
        $this->sortColumn = $this->state->get('list.ordering');
        
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
 
		JError::raiseNotice(500, JText::_('COM_SAXUMNUMEROLOGY_FIELDS_NOTICE'));
				
		// Set the toolbar
		$this->addToolBar();
		$this->sidebar = JHtmlSidebar::render();
 
		// Display the template
		parent::display($tpl);
	}
	
	protected function addToolBar() 
	{
		$canDo = SaxumnumerologyController::getActions();
		JHTML::stylesheet( 'administrator/components/com_saxumnumerology/saxumnumerology.css' );
		JToolBarHelper::title(JText::_( 'COM_SAXUMNUMEROLOGY' ).' - '.JText::_('COM_SAXUMNUMEROLOGY_FIELDS'),'field.png');
		if ($canDo->get('core.create')) 
		{
			JToolBarHelper::addNew('field.add');
		}
		if ($canDo->get('core.edit')) 
		{
			JToolBarHelper::editList('field.edit');
		}
		if ($canDo->get('core.delete')) 
		{
			JToolBarHelper::deleteList('', 'fields.delete');
		}
		
		JHtmlSidebar::setAction('index.php?option=com_saxumpicker&view=fields');
		
	}
	
	protected function getSortFields()
	{
		$sortfields=array(
			'a.id' => JText::_('JGRID_HEADING_ID'),
			'a.name' => JText::_('COM_SAXUMNUMEROLOGY_NAME')
		);
		
		return $sortfields;
	}
	
}
?>
