<?php
/**
 * $Id: view.html.php 63 2014-07-24 12:55:07Z Szablac $
 * @Project		Saxum Numerology Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Numerology
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class SaxumnumerologyViewManage extends JViewLegacy
{

	public function display($tpl = null) 
	{
		// get the Data
		$this->item		= $this->get('Item');
		$this->state	= $this->get('State');
		
		$isNew = ($this->item->id == 0);
		   
		$post=JRequest::get( 'post' );
		$typeid = $this->item->type_id;
		$typeid = empty($post) ? $this->item->type_id : $post['jform']['type_id'];
		
		$this->type		= SaxumnumerologyModelManage::getType($typeid);
		$this->fields	= SaxumnumerologyModelManage::getFields($typeid,$this->item->id);
		
		if ($isNew && $typeid==0) {
			$this->form = $this->get('FormSelectType');
			$this->addToolBarSelectType();
		} else {
			$this->form = $this->get('Form');
			$this->addToolBar();
		}
 
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
  
		// Display the template
		parent::display($tpl);
 
		// Set the document
		$this->setDocument();
	}
	
	/**
	 * Setting the toolbar
	 */
	protected function addToolBar() 
	{
		JFactory::getApplication()->input->set('hidemainmenu', true);
		$user = JFactory::getUser();
		$isNew = ($this->item->id == 0);
		$canDo = SaxumnumerologyController::getActions();
		JHTML::stylesheet( 'administrator/components/com_saxumnumerology/saxumnumerology.css' );
		JToolBarHelper::title($isNew ? JText::_( 'COM_SAXUMNUMEROLOGY' ).' - '.JText::_('COM_SAXUMNUMEROLOGY_MANAGE_NEW') : JText::_( 'COM_SAXUMNUMEROLOGY' ).' - '.JText::_('COM_SAXUMNUMEROLOGY_MANAGE_EDIT'), 'manage.png');
		if ($isNew) JToolBarHelper::back();	
		if ($isNew && $canDo->get('core.create')) 
		{
			JToolBarHelper::apply('manage.apply');
			JToolBarHelper::save('manage.save');
			JToolBarHelper::custom('manage.save2new', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
		}
		else
		{
			if($canDo->get('core.edit'))	
			{
				JToolBarHelper::apply('manage.apply');
				JToolBarHelper::save('manage.save');
			}
			if($canDo->get('core.create'))	
			{
				JToolBarHelper::custom('manage.save2new', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
				JToolBarHelper::custom('manage.save2copy', 'save-copy.png', 'save-copy_f2.png', 'JTOOLBAR_SAVE_AS_COPY', false);
			}
		}
		JToolBarHelper::cancel('manage.cancel', $isNew ? 'JTOOLBAR_CANCEL'
		                                                   : 'JTOOLBAR_CLOSE');
	}
	
	protected function addToolBarSelectType() 
	{
		JFactory::getApplication()->input->set('hidemainmenu', true);
		$isNew = ($this->item->id == 0);
		JHTML::stylesheet( 'administrator/components/com_saxumnumerology/saxumnumerology.css' );
		JToolBarHelper::title($isNew ? JText::_( 'COM_SAXUMNUMEROLOGY' ).' - '.JText::_('COM_SAXUMNUMEROLOGY_MANAGE_NEW') : JText::_( 'COM_SAXUMNUMEROLOGY' ).' - '.JText::_('COM_SAXUMNUMEROLOGY_MANAGE_EDIT'), 'manage.png');
		JToolBarHelper::custom('manage','forward.png','forward.png','Next',false);
		JToolBarHelper::cancel('manage.cancel', $isNew ? 'JTOOLBAR_CANCEL'
		                                                   : 'JTOOLBAR_CLOSE');
	}

	protected function setDocument() 
	{
		$isNew = ($this->item->id < 1);
		$document = JFactory::getDocument();
		//$document->addScript(JURI::root() . $this->script);
		$document->addScript(JURI::root() . "/administrator/components/com_saxumnumerology"
		                                  . "/views/manage/submitbutton.js");
		JText::script('COM_SAXUMNUMEROLOGY_MANAGE_ERROR_UNACCEPTABLE');
	}
	
}
?>

