<?php
/**
 * $Id: view.html.php 63 2014-07-24 12:55:07Z Szablac $
 * @Project		Saxum Numerology Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Numerology
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class SaxumnumerologyViewTypes extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;
	
	function display($tpl = null) 
	{
		$this->items		= $this->get('Items');
		$this->pagination	= $this->get('Pagination');
		$this->state		= $this->get('State');
		$this->params = JComponentHelper::getParams( 'com_saxumnumerology' );
		SaxumnumerologyController::addSubmenu('types');
	
        $this->sortDirection = $this->state->get('list.direction');
        $this->sortColumn = $this->state->get('list.ordering');
 
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
				
		// Set the toolbar
		$this->addToolBar();
		$this->sidebar = JHtmlSidebar::render();
 
		// Display the template
		parent::display($tpl);
	}
	
	protected function addToolBar() 
	{
		$canDo = SaxumnumerologyController::getActions();
		JHTML::stylesheet( 'administrator/components/com_saxumnumerology/saxumnumerology.css' );
		JToolBarHelper::title(JText::_( 'COM_SAXUMNUMEROLOGY' ).' - '.JText::_('COM_SAXUMNUMEROLOGY_TYPES'),'type.png');
		if ($canDo->get('core.create')) 
		{
			JToolBarHelper::addNew('type.add');
		}
		if ($canDo->get('core.edit')) 
		{
			JToolBarHelper::editList('type.edit');
		}
		if ($canDo->get('core.edit.state') or $canDo->get('core.delete')) 
		{
			JToolBarHelper::divider();
		}
		if ($canDo->get('core.edit.state'))
		{
			JToolBarHelper::publish('types.publish', 'JTOOLBAR_PUBLISH',true);
			JToolBarHelper::unpublish('types.unpublish', 'JTOOLBAR_UNPUBLISH',true);
		}
		if ($canDo->get('core.delete')) 
		{
			JToolBarHelper::deleteList('', 'types.delete');
		}
		
		JHtmlSidebar::setAction('index.php?option=com_saxumnumerology&view=types');
		
		JHtmlSidebar::addFilter(
			JText::_('JOPTION_SELECT_PUBLISHED'),
			'filter_published',
			JHtml::_('select.options', JHtml::_('jgrid.publishedOptions'), 'value', 'text', $this->state->get('filter.published'), true)
		);
	}
	
	protected function getSortFields()
	{
		$sortfields=array(
			'a.id' => JText::_('JGRID_HEADING_ID'),
			'a.name' => JText::_('COM_SAXUMNUMEROLOGY_NAME'),
			'a.published' => JText::_('JSTATUS')
		);
			
		if ($this->params->get('hitcounter')==1){
			$sortfields['a.hits']=JText::_('COM_SAXUMNUMEROLOGY_HITS');
		}
		
		return $sortfields;
	}
	
}
?>
