<?php
/**
 * $Id: selector.php 63 2014-07-24 12:55:07Z Szablac $
 * @Project		Saxum Numerology Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Numerology
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport('joomla.application.component.model');

class SaxumnumerologyModelSelector extends JModelLegacy
{
	function _getFieldQuery( &$options )
	{
		$query = ' SELECT f.*,d.name'
			. ' FROM #__saxumnumerology_type_field f'
			. ' inner join #__saxumnumerology_type t on f.type_id=t.id '
			. ' inner join #__saxumnumerology_field d on f.field_id=d.id '
			. ' WHERE t.id='.$options['typeid']
			;

		return $query;
	}

	function getFields( $options=array() )
	{
		$query	= $this->_getFieldQuery( $options );
		$result = $this->_getList( $query );
		return @$result;
	}
	
	function _getTypeQuery( $id )
	{
		$query = ' SELECT t.*'
			. ' FROM #__saxumnumerology_type t'
			. ' WHERE t.id='.$id
			;

		return $query;
	}

	function getType( $id )
	{
		$query	= $this->_getTypeQuery( $id );
		$result = $this->_getList( $query );
		return @$result;
	}
	
	function _getManagerQuery( &$options )
	{
		$query = ' SELECT m.*, e.id as eval_id, e.desc, s.id as set_id, s.case_sens, s.accent_sens'
			. ' FROM #__saxumnumerology_manage m'
			. ' INNER JOIN #__saxumnumerology_evaluation e ON m.eval_id=e.id '
			. ' INNER JOIN #__saxumnumerology_set s ON m.set_id=s.id '
			. ' WHERE m.type_id='.$options['typeid']
			. ' AND m.published=1'
			. ' ORDER BY m.ordering'
			;

		return $query;
	}

	function getManager( $options=array() )
	{
		$query	= $this->_getManagerQuery( $options );
		$result = $this->_getList( $query );
		return @$result;
	}

	function _getEvalFieldQuery( &$manage_id )
	{
		$query = ' SELECT f.*,d.name'
			. ' FROM #__saxumnumerology_manage_field f'
			. ' INNER JOIN #__saxumnumerology_field d ON f.field_id=d.id'
			. ' WHERE f.manage_id='.$manage_id
			;

		return $query;
	}

	function getEvalFields( $id )
	{
		$query	= $this->_getEvalFieldQuery( $id );
		$result = $this->_getList( $query );
		return @$result;
	}

	function _getValueQuery( $item, $set_id )
	{
		$query = ' SELECT i.value'
			. ' FROM #__saxumnumerology_item i'
			. ' WHERE i.set_id='.$set_id
			. ' AND i.name="'.$item.'"'
			;

		return $query;
	}

	function getValue( $item, $set_id )
	{
		$query	= $this->_getValueQuery( $item, $set_id );
		$result = $this->_getList( $query );
		return @$result[0]->value;
	}
	
    function replace_accents($str)
    {
		$str = htmlentities($str, ENT_COMPAT, "UTF-8");
		$str = preg_replace('/&([a-zA-Z])(uml|acute|grave|circ|tilde);/','$1',$str);
		return html_entity_decode($str);
	}

	function _getEvaluationQuery( $master_id )
	{
		$query = ' SELECT i.*'
			. ' FROM #__saxumnumerology_evdetail i'
			. ' WHERE i.master_id='.$master_id
			;

		return $query;
	}

	function getEvaluation( $eval_id )
	{
		$query	= $this->_getEvaluationQuery( $eval_id );
		$result = $this->_getList( $query );
		return @$result;
	}
	
	public function hit($typeid)
	{
		$db = $this->getDbo();

        $db->setQuery(
            'UPDATE #__saxumnumerology_type' .
            ' SET hits = hits + 1' .
            ' WHERE id = '.(int) $typeid
        );

        if (!$db->query()) {
        	$this->setError($db->getErrorMsg());
        	return false;
        }
     
		return true;
	}
}