<?php
/**
 * $Id: view.html.php 63 2014-07-24 12:55:07Z Szablac $
 * @Project		Saxum Numerology Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Numerology
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class SaxumnumerologyViewInterpret extends JViewLegacy
{
	function display($tpl = null)
	{	
    	$mainframe=JFactory::getApplication();
		$dispatcher	= JDispatcher::getInstance();
		JPluginHelper::importPlugin('content');
		$params		= $mainframe->getParams('com_content');

		$user		= JFactory::getUser();
		$pathway	= $mainframe->getPathway();
		$document	= JFactory::getDocument();
		
		$rawDataPost = JRequest::get('POST', 2);
		$rawDataGet = JRequest::get('GET', 2);
		$this->post = array_merge($rawDataGet, $rawDataPost);

		// Get the parameters of the active menu item
		$menus	= $mainframe->getMenu();
		$menu   = $menus->getActive();

		$pparams = $mainframe->getPageParameters('com_saxumnumerology');
		$check['l']	= SaxumnumerologyController::render();

		// Push a model into the view
		$model	= $this->getModel();
		
		$typeId=JRequest::getVar("type_id");
		$type=$model->getType( $typeId );
				
		$options['typeid']	= $typeId;
		$item	= $model->getManager( $options );
		$fields	= $model->getFields( $options );
		$data = JRequest::get( 'post' );
	
		$allowed = 1;
		if ($type[0]->pmtype!='free') {
			$tpl='payment';
			$allowed=0;
		}
		
		for($i = 0, $size = sizeof($item); $i < $size; ++$i) {
		    $evalfields = $model->getEvalFields($item[$i]->id);
		    $item[$i]->evalfields=$evalfields;
		
		    $evdetails=$model->getEvaluation($item[$i]->eval_id);
		    $values=array();
		    $evaluations=array();
		    foreach ($evdetails as $d){
		    	$values[]=$d->value;
		    	$evaluations[$d->value]=$d->desc;
		    }

			$v=array();
		    $s='';
		    foreach ($evalfields as $e) {
		    	if ($e->field_id==1) $s = $data['name'];
		    	if ($e->field_id==2) $s = $data['year'];
		    	if ($e->field_id==3) $s = $data['month'];
		    	if ($e->field_id==4) $s = $data['day'];
		    	if ($e->field_id==5) $s = $data['currentYear'];
		    	if ($e->field_id==6) $s = $data['nextYear'];
		    	if ($e->field_id==7) $s = $data['previousYear'];
		    	if ($e->field_id >7) $s = $data[str_replace(' ','_',$e->name)];
					
				if ($item[$i]->case_sens==0) $s=mb_strtoupper($s, 'UTF-8');
				if ($item[$i]->accent_sens==0) $s=$model->replace_accents($s);
	
				if (is_numeric($s) && $s>=10 && in_array($s, $values)==1) {
					$v[]=$s;
				} else {
					$val=0;
					for ($j=0, $len=strlen($s); $j<$len; ++$j){
						$c=mb_substr($s,0,1,'UTF-8');
						$s=mb_substr($s, 1, strlen($s)-1,'UTF-8');
						$val = $val+$model->getValue($c,$item[$i]->set_id);
					}
					$v[]=$val;
				}
		    }

			$result=0;
			for ($j=0, $len=sizeof($v); $j<$len; ++$j){
				$result=$result+$v[$j];
			}
			
		    while (in_array($result, $values)==0 && $result>=10) {
		    	$w=strval($result);
		    	$result=0;
		    	for ($k=0, $len=strlen($w); $k<$len; ++$k){
			    	$c=substr($w,0,1);
			    	$w=substr($w, 1, strlen($w)-1);
			    	$result = $result+intval($c);
			    }
		    } 	    
		    $item[$i]->value=$result;
		    if(empty($evaluations[$result])){
		    	$item[$i]->evaluation=JText::_('COM_SAXUMNUMEROLOGY_NO_EVALUATION');
		    }else{
		    	$item[$i]->evaluation=$evaluations[$result];
		    }
		}
	/*
		$item->text=$item->desc;
		$item->introtext='';
		$item->fulltext=$item->desc;
		$item->catid=0;
		$item->sectionid=0;
		$results = $dispatcher->trigger('onPrepareContent', array (& $item, & $params, 1));
*/
		$this->assignRef('item',	$item);
		$this->assignRef('options',	$options);
		$this->assignRef('params',	$pparams);	
		$this->assignRef('check',	$check);
		$this->assignRef('type',	$type[0]);
		$this->assignRef('data', $data);
		$this->assignRef('fields', $fields);
		$this->assignRef('s', $s);
		
		if ($pparams->get('hitcounter')==1){
			$model->hit($typeId);
		}

		$this->_prepareDocument();
		parent::display($tpl);
	}	
	
	protected function _prepareDocument()
	{
		$app		= JFactory::getApplication();
		$menus		= $app->getMenu();
		$title 		= null;
		if (empty($this->document)) $this->document=JFactory::getDocument();

		// Because the application sets a default page title,
		// we need to get it from the menu item itself
		$menu = $menus->getActive();
		if ($menu)
		{
			$this->params->def('page_heading', $this->params->get('page_title', $menu->title));
		} else {
			$this->params->def('page_heading', JText::_('JGLOBAL_ARTICLES'));
		}

		$title = $this->params->get('page_title', '');
		if (empty($title)) {
			$title = $app->getCfg('sitename');
		}
		elseif ($app->getCfg('sitename_pagetitles', 0) == 1) {
			$title = JText::sprintf('JPAGETITLE', $app->getCfg('sitename'), $title);
		}
		elseif ($app->getCfg('sitename_pagetitles', 0) == 2) {
			$title = JText::sprintf('JPAGETITLE', $title, $app->getCfg('sitename'));
		}
		$this->document->setTitle($title);

		if ($this->params->get('menu-meta_description'))
		{
			$this->document->setDescription($this->params->get('menu-meta_description'));
		}

		if ($this->params->get('menu-meta_keywords'))
		{
			$this->document->setMetadata('keywords', $this->params->get('menu-meta_keywords'));
		}

		if ($this->params->get('robots'))
		{
			$this->document->setMetadata('robots', $this->params->get('robots'));
		}
	}
}
?>